import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner

class MainTest(unittest.TestCase):

    def test_answer(self):
        
        X = [[66, 5, 15, 2, 500], [21, 3, 50, 1, 100], [120, 15, 5, 2, 1200]]
        c = [3000, 200, -50, 5000, 100] 
        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        predict(X, c)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output, "258250\n76100\n492750")

        x2 = [[66, 5, 15, 2, 500, -10], [21, 3, 50, 1, 100, 0], [120, 15, 5, 2, 1200, 10], [1, 2, 3, 4, 5, 6]]
        c2 = [3000, 200 , -50, 5000, 100, 50]  
        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        predict(x2, c2)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output, "257750\n76100\n493250\n24050")

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())
